Bug 656 - Samba 3.0 build fails on HP-UX 11.0,11.11 on buildfarm
Samba 3.0 build fails on HP-UX 11.0,11.11 on buildfarm
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All HP-UX
: P1 major
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 08:22 UTC by Don McCall
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don McCall 2003-10-20 08:22:00 UTC
Problem is that the $(LDFLAGS) variable in the Makefile.in for several 
components comes AFTER some library refrerences in the link line.  The 
libraries referenced (for instance lber) will not be found, because their 
locations are defined in the LDFLAGS variable.  Here is a diff from the 
Makefile.in from the CVS tree of 10/20/2003, and the one I modified to get it 
to get past this issue:

--- Makefile.in 2003-10-20 10:37:43.000000000 -0400
+++ Makefile.in.mccall  2003-10-20 10:52:39.000000000 -0400
@@ -762,7 +762,7 @@

 bin/smbd@EXEEXT@: $(SMBD_OBJ) @BUILD_POPT@ bin/.dummy
        @echo Linking $@
-       @$(CC) $(FLAGS) -o $@ $(SMBD_OBJ) $(KRB5LIBS) $(LDAP_LIBS) $(LDFLAGS) 
$(
DYNEXP) $(PRINT_LIBS) \
+       @$(CC) $(FLAGS) -o $@ $(SMBD_OBJ) $(LDFLAGS) $(KRB5LIBS) $(LDAP_LIBS) 
$(
DYNEXP) $(PRINT_LIBS) \
          $(AUTH_LIBS) $(ACL_LIBS) $(PASSDB_LIBS) $(LIBS) @POPTLIBS@

 bin/nmbd@EXEEXT@: $(NMBD_OBJ) @BUILD_POPT@ bin/.dummy
@@ -780,7 +780,7 @@

 bin/rpcclient@EXEEXT@: $(RPCCLIENT_OBJ) @BUILD_POPT@ bin/.dummy
        @echo Linking $@
-       @$(CC) $(FLAGS) -o $@ $(PASSDB_LIBS) $(RPCCLIENT_OBJ) $(LDFLAGS) 
$(DYNEX
P) $(TERMLDFLAGS) $(TERMLIBS) $(LIBS) @POPTLIBS@ $(KRB5LIBS) $(LDAP_LIBS)
+       @$(CC) $(FLAGS) -o $@ $(LDFLAGS) $(PASSDB_LIBS) $(RPCCLIENT_OBJ) 
$(DYNEX
P) $(TERMLDFLAGS) $(TERMLIBS) $(LIBS) @POPTLIBS@ $(KRB5LIBS) $(LDAP_LIBS)

 bin/smbclient@EXEEXT@: $(CLIENT_OBJ) @BUILD_POPT@ bin/.dummy
        @echo Linking $@
@@ -839,7 +839,7 @@

 bin/smbpasswd@EXEEXT@: $(SMBPASSWD_OBJ) bin/.dummy
        @echo Linking $@
-       @$(CC) $(FLAGS) -o $@ $(SMBPASSWD_OBJ) $(PASSDB_LIBS) $(LDFLAGS) 
$(DYNEX
P) $(LIBS) $(KRB5LIBS) $(LDAP_LIBS)
+       @$(CC) $(FLAGS) -o $@ $(SMBPASSWD_OBJ) $(LDFLAGS) $(PASSDB_LIBS) 
$(DYNEX
P) $(LIBS) $(KRB5LIBS) $(LDAP_LIBS)

 bin/pdbedit@EXEEXT@: $(PDBEDIT_OBJ) @BUILD_POPT@ bin/.dummy
        @echo Linking $@


recommendation:  I think it would be fine to just move the LDFLAGS variable 
before the library references.
Comment 1 Tim Potter 2003-11-04 11:57:15 UTC
Fixed - buildfarm machine seems ok.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:28:04 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:31:22 UTC
database cleanup